<?php

	if( slash_admin( 'logo' ) !== '' ) {
		function slashadmin_login_page() {
			$image = slash_admin( 'logo' );
			list($width, $height) = getimagesize( $image ); // Get the upladed image's width and height
			if( $width != '' && $width < 321 ) { // If width is recognized, use it
				$w = $width.'px auto';
			} elseif($width > 320 ) { // but if it's more than 320 pixels, force it to 320px
				$w = '320px auto';
			} else {
				$w = 'auto 80px';
			}
			if( $height != '' ) { // If no height is recognized, use default
				$h = 'height: ' . $height . 'px;';
			} else {
				$h = '';
			}
			echo '<style type="text/css">
					body.login div#login h1 a {
						background-image: url(' . $image . ');
						background-size: ' . $w . ';'
						. $h .
						'width: 100%;
						background-position: bottom;
					}
				</style>';
		}
		add_action( 'login_enqueue_scripts', 'slashadmin_login_page' );

	} else {
		echo '';
	}

	if(slash_admin( 'login_links' ) == 1 ) {
		function slashadmin_login_page_url() {
			return get_bloginfo( 'url' );
		}
		add_filter( 'login_headerurl', 'slashadmin_login_page_url' );

		function slashadmin_login_page_url_title() {
			return esc_attr( get_bloginfo( 'name', 'display' ) );
		}
		add_filter( 'login_headertitle', 'slashadmin_login_page_url_title' );
	} else {
		echo '';
	}

	// Redirect users to front page after login
	if(slash_admin('homepage_redirect') == 1 ) {
		function slash_login_redirect($redirect_to, $request, $user) {
			$slash_roles = isset($user->roles);
			if(is_array($slash_roles) && in_array('administrator', $slash_roles)) {
				return admin_url();
			} else {
				return site_url();
			}
		}
		add_filter('login_redirect', 'slash_login_redirect', 10, 3);
	}

	// Disable Admin Bar for non-Admins
	if( slash_admin( 'disable_adminbar' ) == 1 ) {

		add_action('after_setup_theme', 'remove_admin_bar');

			function remove_admin_bar() {
			if ( !current_user_can('administrator') && !is_admin()) {
				show_admin_bar(false);
			}
		}	
	} else {
		echo '';
	}

?>